Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227136 - Still some con files related problems...
Summary: Still some con files related problems...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bugzilla
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Berninger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 19:03 UTC by Patrick Monnerat
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 03:25:33 UTC


Attachments (Terms of Use)

Description Patrick Monnerat 2007-02-02 19:03:51 UTC
Description of problem:
Cron alert mails and no program execution.


Version-Release number of selected component (if applicable):
2.22-11.fc6

How reproducible:
Always
  
Actual results:
1) A cron mail four times per hour for the whine job:
Can't locate Bugzilla/Config.pm in @INC (@INC contains: .
/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7
/usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi
/usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7
/usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5
/usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.8/i386-linux-thread-multi
/usr/lib/perl5/5.8.8) at /usr/share/bugzilla/whine.pl line 32.
BEGIN failed--compilation aborted at /usr/share/bugzilla/whine.pl line 32.

2) collectstats job is not run anymore

Expected results:
whine cron job ok without cron alert
collectstas job executed once a day

Additional info:
My proposed fixes:
1) Replace content of /etc/cron.d/bugzilla by:
0-59/15 * * * * apache cd /usr/share/bugzilla ; env LANG=C
/usr/share/bugzilla/whine.pl

2) change permissions of /etc/cron.daily/bugzilla to 755 (leave
/etc/cron.d/bugzilla permissions to 600 !)

Comment 1 Patrick Monnerat 2007-02-02 19:08:08 UTC
Plase note the /etc/cron.d/bugzilla proposed contents above should be entered on
a single line. It has been split by the interface...

Comment 2 John Berninger 2007-02-15 03:25:33 UTC
Changes committed 2/14/2007, packages built.


Note You need to log in before you can comment on or make changes to this bug.